summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2015-05-23 19:48:09 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-05-24 13:26:24 +0700
commit16ced1759ff8be169237d436eb9d713ae39136fc (patch)
tree39438b465452478f220af7abb4fbda16e1fb6822
parentf616ac744620207ebfac607b5c207209f6d421b5 (diff)
downloadslackbuilds-16ced1759ff8be169237d436eb9d713ae39136fc.tar.gz
slackbuilds-16ced1759ff8be169237d436eb9d713ae39136fc.tar.xz
system/ttf-mscorefonts: Added (Microsoft TrueType core fonts)
Signed-off-by: Erik Hanson <erik@slackbuilds.org>
-rw-r--r--system/ttf-mscorefonts/README3
-rw-r--r--system/ttf-mscorefonts/doinst.sh11
-rw-r--r--system/ttf-mscorefonts/slack-desc19
-rw-r--r--system/ttf-mscorefonts/ttf-mscorefonts.SlackBuild88
-rw-r--r--system/ttf-mscorefonts/ttf-mscorefonts.info10
5 files changed, 131 insertions, 0 deletions
diff --git a/system/ttf-mscorefonts/README b/system/ttf-mscorefonts/README
new file mode 100644
index 0000000000..0e56682fb8
--- /dev/null
+++ b/system/ttf-mscorefonts/README
@@ -0,0 +1,3 @@
+ttf-mscorefonts (Microsoft TrueType core fonts).
+
+Microsoft TrueType core fonts.
diff --git a/system/ttf-mscorefonts/doinst.sh b/system/ttf-mscorefonts/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/ttf-mscorefonts/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/ttf-mscorefonts/slack-desc b/system/ttf-mscorefonts/slack-desc
new file mode 100644
index 0000000000..afcaa9e87f
--- /dev/null
+++ b/system/ttf-mscorefonts/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-mscorefonts: ttf-mscorefonts (Microsoft TrueType core fonts).
+ttf-mscorefonts:
+ttf-mscorefonts: Microsoft TrueType core fonts.
+ttf-mscorefonts:
+ttf-mscorefonts: Home page: http://ufpr.dl.sourceforge.net/project/corefonts/
+ttf-mscorefonts:
+ttf-mscorefonts:
+ttf-mscorefonts:
+ttf-mscorefonts:
+ttf-mscorefonts:
+ttf-mscorefonts:
diff --git a/system/ttf-mscorefonts/ttf-mscorefonts.SlackBuild b/system/ttf-mscorefonts/ttf-mscorefonts.SlackBuild
new file mode 100644
index 0000000000..ea9a13b28c
--- /dev/null
+++ b/system/ttf-mscorefonts/ttf-mscorefonts.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+# Slackware build script for ttf-mscorefonts.
+
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ttf-mscorefonts
+SRCNAM="mscorefonts"
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$SRCNAM.tar.gz
+mkdir $PRGNAM-$VERSION
+mv *.exe $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/fonts/TTF/msttcorefonts
+cabextract *.exe -L -F *.TTF -d $PKG/usr/share/fonts/TTF/msttcorefonts
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ttf-mscorefonts/ttf-mscorefonts.info b/system/ttf-mscorefonts/ttf-mscorefonts.info
new file mode 100644
index 0000000000..a3a2359d82
--- /dev/null
+++ b/system/ttf-mscorefonts/ttf-mscorefonts.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-mscorefonts"
+VERSION="0.1"
+HOMEPAGE="http://ufpr.dl.sourceforge.net/project/corefonts/"
+DOWNLOAD="https://www.dropbox.com/s/xwaojhwhyprx0bg/mscorefonts.tar.gz"
+MD5SUM="f60fb8880c38bc5dabe64156eb06342d"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cabextract"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"